Productsup
CDE APIApi referenceRuns

Run stdout stderr logs

Run stdout stderr logs

Sign in to run requests against the CDE API.
GET
/runs/{runId}/connector-stdout-stderr

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Path Parameters

runId*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://cde.staging.productsup.com/runs/497f6eca-6276-4993-bfeb-53cbbbba6f08/connector-stdout-stderr"
{
  "message": "Retrieved connector output.",
  "data": {
    "output": "test"
  }
}
{
  "message": "Request to fetch log from storage failed.",
  "errors": []
}
{
  "message": "You have to be authorized to access this resource."
}
{
  "message": "Access denied for user."
}
{
  "message": "Logs are not available on the cre run. If the run has finished recently try again later as logs might not be collected yet."
}

How is this guide?